#include "form1.h"
#include "ui_form1.h"
#include "form2.h"
#include "QPushButton"
#include "QDesktopWidget" //Для выравнивания по центру экрана






form1::form1(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::form1)
{
    ui->setupUi(this);
    connect(ui->btn1, SIGNAL(clicked()), this, SLOT(catcher())); //Создаем слоты для кнопок, которые обрабатываются методом checker
    connect(ui->btn2, SIGNAL(clicked()), this, SLOT(catcher()));
    moveToCenter();

}

form1::~form1()
{
    delete ui;
}


void form1:: catcher(){                            //
    QPushButton *button = (QPushButton *)sender(); //Ловим сигнал нажатия кнопки
    double clicked = button->text().toDouble();    //Записываем циферь текста кнопки в переменную clicked
    form2 *frm = new form2();                      //Объявляем

    connect(this,SIGNAL(send(double)),frm,SLOT(getSended(double)));
        emit send(clicked);//emit зарезервированное слово Qt для запуска сигнала
        this->close();
        frm->show();
}


//Эта функция выравнивает наше окошко по центру экрана
void form1::moveToCenter(){
    QRect rect = frameGeometry();
    rect.moveCenter(QDesktopWidget().availableGeometry().center());
    move(rect.topLeft());
}




